@echo off
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2013 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

rem -----------------------------------------------------------------------
rem Searches endpoint.properties for to retrieve agent information.
rem
rem @return
rem	result=fail 
rem				In case property file not found
rem	
rem	result=success,agent_am_ip=<unmanaged, agent manager IP>,agent_port=<port number>,
rem	agent_non_stop_port1=<9514>,agent_non_stop_port2=<9515>
rem
rem				* unmanaged - in case unmanagedAgent property set to true
rem				
rem				* agent manager IP - in case unmanagedAgent property not
rem				not set to true and value is taken from AgentManagerQuery.Host
rem				
rem				* agent_port - value of ep.port property
rem				* agent_non_stop_port1 - currently hard coded
rem				* agent_non_stop_port2 - currently hard coded
rem				
rem ------------------------------------------------------------------------

set endpoint_properties="C:\Program Files\IBM\Director\agent\runtime\agent\config\endpoint.properties"

if not exist %endpoint_properties% set endpoint_properties="C:\Program Files (x86)\IBM\Director\agent\runtime\agent\config\endpoint.properties"

if not exist %endpoint_properties% goto ERROR

rem ------------------------------------------------
rem Extracting AgentManagerQuery.Host from the file
rem ------------------------------------------------

for /f "tokens=*" %%a in ('findstr AgentManagerQuery.Host %endpoint_properties%') do (
    set AgentManagerAddressLine=%%a
)

for /f "delims=\=" %%a in (""%AgentManagerAddressLine%"") do (
	set substrings=%%a
)

for /f "tokens=1-2" %%a in (%substrings%) do (
	set agent_manager_ip=%%b
)

rem ------------------------------------------------
rem Extracting unmanagedAgent from the file
rem ------------------------------------------------

for /f "tokens=*" %%a in ('findstr unmanagedAgent %endpoint_properties%') do (
    set unmanagedAgentLine=%%a
)

for /f "delims=\=" %%a in (""%unmanagedAgentLine%"") do (
	set substrings=%%a
)

for /f "tokens=1-2" %%a in (%substrings%) do (
	set unmanagedAgent=%%b
)

rem ------------------------------------------------
rem Extracting ep.port from the file
rem ------------------------------------------------

for /f "tokens=*" %%a in ('findstr ep.port %endpoint_properties%') do (
    set AgentPortLine=%%a
)

for /f "delims=\=" %%a in (""%AgentPortLine%"") do (
	set substrings=%%a
)

for /f "tokens=1-2" %%a in (%substrings%) do (
	set ep_port=%%b
)

if "%unmanagedAgent%" == "true" (
	echo result=success,agent_am_ip=unmanaged,agent_port=%ep_port%,agent_non_stop_port1=9514,agent_non_stop_port2=9515
	GOTO FINAL
)	

echo result=success,agent_am_ip=%agent_manager_ip%,agent_port=%ep_port%,agent_non_stop_port1=9514,agent_non_stop_port2=9515

GOTO FINAL

:ERROR

echo result=fail

:FINAL

exit /b 0
