@echo off
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2013 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

rem -----------------------------------------------------------------------
rem Returns the version specified in version.key file of the Common Agent
rem
rem @return
rem	result=success,ca_version=<agent version>
rem				In case version file was found and correctly interpreted
rem				along with the agent version
rem
rem ------------------------------------------------------------------------

set version_properties="C:\Program Files\IBM\Director\agent\version.key"

if not exist %version_properties% set version_properties="C:\Program Files (x86)\IBM\Director\agent\version.key"

if not exist %version_properties% goto ERROR

rem ------------------------------------------------
rem Extracting version= from the file
rem ------------------------------------------------

for /f "tokens=*" %%a in ('findstr /B version= %version_properties%') do (
    set versionLine=%%a
)

for /f "delims=\=" %%a in (""%versionLine%"") do (
set substrings=%%a
)

for /f "tokens=1-2" %%a in (%substrings%) do (
set ca_ver=%%b
)

echo result=success,ca_version=%ca_ver%

GOTO FINAL

:ERROR

echo result=fail

:FINAL

exit /b 0
