@echo off
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2013 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.


rem -----------------------------------------------------------------------
rem Executes PIV test and return status + report
rem
rem @param
rem	piv_dir=<PIV directory>
rem
rem @return
rem	result={success, fail},report={generated report file name}
rem			
rem
rem ------------------------------------------------------------------------
set piv_dir=%2


rem -----------------------------------------------
rem for the demo we assume the PIV package is found
rem in this directory
rem -----------------------------------------------
rem cd C:\temp\ddf\pd\exec\PostInstallValidator_Win
cd "%piv_dir%"

call PostInstallValidator_Win.exe -s -n -o %piv_dir%

rem PIV return codes: 
rem RC=-1: INVALID
rem RC=0: OK
rem RC=1: WARN
rem RC=2: FAIL
rem RC=3: ERROR

SET res_status=error
SET report_location=%piv_dir%PostInstallationReport.html

IF %ERRORLEVEL% EQU -1 (
	SET res_status=invalid
)

IF %ERRORLEVEL% EQU 0 (
	SET res_status=success
)

IF %ERRORLEVEL% EQU 1 (
	SET res_status=warn
)

IF %ERRORLEVEL% EQU 2 (
	SET res_status=fail
)	

IF %ERRORLEVEL% EQU 3 (
	SET res_status=error
)

	
rem ---------------------------------------------------
rem We rely on the fact that there is always a report
rem being produced
rem ---------------------------------------------------
echo result=%res_status%,piv_rc=%ERRORLEVEL%,report=%report_location%
exit /b 0
