@echo off
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2013 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

rem -----------------------------------------------------------------------
rem Removed the MEP indicated by its type and IP address
rem
rem @param
rem user=<DS user>
rem password=<DS password>
rem	ipaddress=<ip of mep>
rem	type=<MEP type>
rem
rem @return
rem	result=success
rem			Overall operation succeed
rem	
rem	result=notfound
rem			The MEP with given IP address was not found in Systems Director
rem
rem	result=cannot_remove
rem			The MEP can not be removed
rem
rem result=fail_auth
rem		Failed to invoke smcli with DS credentials supplied.
rem
rem	result=fail_retrieve
rem		In case error occurred when attempting to retrieve the MEP OID
rem		from Systems Director
rem
rem ------------------------------------------------------------------------

set user=%2
set password=%4
set ipaddress=%6
set mep_type=%8

rem -----------------------------------------------------------------------
rem At first just check that command works (i/o redirect -- we do not
rem want to see its output)
rem -------------------------------------------------------------------------

smcli -user %user% -pw %password% lssys -p -i %ipaddress% -t %mep_type% >NUL 2>NUL

if %ERRORLEVEL% equ 20 (
        echo result=notfound
        exit /b 0
)


if %ERRORLEVEL% equ 3 (
        echo result=fail_auth
        exit /b 0
)

if ERRORLEVEL 1 (
        echo result=fail_retrieve
        exit /b 0
)

rem -------------------------------------------------------------------------
rem Due to a bug in smcli lssys it can return RC=0 but without any data
rem (empty line)
rem -------------------------------------------------------------------------
for /f "tokens=*" %%a in ('smcli -user %user% -pw %password% lssys -p -i %ipaddress% -t %mep_type%') do (
    GOTO CONTINUE
)

echo result=notfound
exit /b 0

:CONTINUE


rem Trying again

for /f "tokens=*" %%a in ('smcli -user %user% -pw %password% lssys -p -i %ipaddress% -t %mep_type%') do (
    set mep_oid=%%a
)

rem ------------------------------------------
rem smcli errorlevel is >= 0 so the following
rem should work
rem ------------------------------------------
smcli -user %user% -pw %password% rmsys -n %mep_oid% >NUL 2>NUL

rem -----------------------------------------------------------------------
rem Not sure if we want to check other RCs here since it seems that remove 
rem might report as failed even though it succeed. We can add presence 
rem check here later on. However, we do interested in 50 
rem -------------------------------------------------------------------------

if ERRORLEVEL 3 (

	if ERRORLEVEL 4 (

		if ERRORLEVEL 50 (
	
			if ERRORLEVEL 51 (
				goto RESULT_OK
			)
			
			rem ------------------------
			rem Exactly 50 - can not 
			rem remove
			rem ------------------------
			echo result=cannot_remove
	    	exit /b 0
		)
	)
	rem ------------------------
	rem Exactly 3 - authentication
	rem error
	rem ------------------------
	echo result=fail_auth
	exit /b 0
)

:RESULT_OK
echo result=success
